package com.sonic.lion.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * @author: code
 * @date: 2025/07/21
 * @Description:
 * @version: 1.0.0
 */
@Getter
public enum BuffType {

    /**
     * 可消费Buff
     */
    BALANCE(1, "BALANCE"),

    /**
     * 可提现收入
     */
    WITHDRAWABLE_INCOME(2, "WITHDRAWABLE_INCOME"),

    /**
     * 待入账收入
     */
    AWAITING_INCOME(3, "AWAITING_INCOME"),

    /**
     * 退款buff
     */
    REFUND(6, "REFUND"),

    /**
     * 冻结收入
     */
    FROZEN_INCOME(4, "FROZEN_INCOME"),

    FROZEN_BALANCE(5, "FROZEN_BALANCE"),

    ;

    private final int value;

    private final String desc;

    BuffType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

}
